This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 830772 - intel_do_flush_locked failed: No space left on device
intel_do_flush_locked failed: No space left on device
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 07:41 EDT by Richard Schwarting
Modified: 2013-08-01 02:38 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:38:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 977804 None None None 2012-06-11 07:50:19 EDT

  None (edit)
Description Richard Schwarting 2012-06-11 07:41:52 EDT
Description of problem:
In Fedora 17, trying to run GNOME Shell on my second monitor (laptop's own screen disabled) works for a little while but then GNOME Shell suddenly disappears (windows are still there, but without a window manager).  The following is printed to the terminal right before it disappears:
"intel_do_flush_locked failed: No space left on device"

My second monitor uses a resolution of:
1920x1080

The video card in my laptop is this:

00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03) (prog-if 00 [VGA controller])
	Subsystem: Hewlett-Packard Company Device 30b1
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at f4600000 (32-bit, non-prefetchable) [size=512K]
	I/O ports at 4000 [size=8]
	Memory at e0000000 (32-bit, prefetchable) [size=256M]
	Memory at f4680000 (32-bit, non-prefetchable) [size=256K]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915

I believe the problem is due to the amount of memory available, 256MB, and GNOME Shell's use of 3D acceleration.

If I try using GNOME Shell with both my laptop's screen and the second monitor (not mirrored, so 1024 + 1920 wide), everything is unusably slow with mouse clicks taking 10 seconds or more to respond.  If I try to use metacity + GNOME Panel, it works fine.


Version-Release number of selected component (if applicable):
gnome-shell-3.4.1-5.fc17

How reproducible:
Always

Steps to Reproduce:
1. enable second monitor (disabling laptop's own screen)
2. use GNOME Shell
3. open some windows (say 10) and work for a little while
  
Actual results:
GNOME Shell disappears

Expected results:
GNOME Shell persists.  (Ideally, it could work with 1024+1920 wide screens too (so including first monitor.)

Additional info:
I tried running gnome-shell under gdb but it exits normally after printing that error message.  I don't think anything is actually crashing.  I didn't see anything particularly relevant in /var/log/Xorg.0.log, but I could look again if something should be there.
Comment 1 Richard Schwarting 2012-06-11 07:57:37 EDT
I've added a link to a corresponding bug in Ubuntu that affects both gnome-shell and launchpad.

Also, I believe the bug is induced by a limitation in the driver discussed in bug 699705 comment 6:
https://bugzilla.redhat.com/show_bug.cgi?id=699705#c6

Adam Jackson speculated that it might be fixed by F16 but it's F17 and still a problem, so I suppose no one has had the time ot tackle this yet.
Comment 2 Richard Schwarting 2012-06-11 07:59:43 EDT
Actually, maybe not, since I'm testing this with a single screen that only goes to 1920 wide.

However, I suppose I'd like to modify Expected Behaviour to:
* either GNOME Shell persists, or
* upon failure, a prompt offers to put me into fallback mode (GNOME Panel + metacity) or it just automatically does and gives me a message noting why.
Comment 3 Colin Guthrie 2012-08-16 16:13:33 EDT
I see this problem too on latest gnome-shell (3.5.5), intel driver (2.20.3) and mesa (8.1.0 git snapshot from 2nd August) and a 945GM on a single monitor. I'm not on Fedora so not going to comment too much, just want to watch the bug for a fix! Seems to happen very regularly when new windows are opened.
Comment 4 Fedora End Of Life 2013-07-03 21:47:25 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 02:38:44 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.